package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.ext.mes.api.busi.IMaximoService;
import cn.estsh.i3plus.ext.mes.pojo.model.MaximoParamModel;
import cn.estsh.i3plus.platform.common.tool.HttpClientTool;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.impp.framework.boot.util.ResultBean;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description : MaximoServiceImpl
 * @Author :gsz
 * @Date 2024/5/15 13:17
 * @Modify
 **/
@Service
public class MaximoServiceImpl implements IMaximoService {

    private static final Logger LOGGER = LoggerFactory.getLogger(MaximoServiceImpl.class);

    @Override
    public ResultBean doMeterMainData(MaximoParamModel paramModel) {
        String url = "http://10.195.88.71:8300/white/maximo/asset/main-data";
        //"meterName":"仪表编号",
        //"assetNum":"设备编号",
        //"baseMeasureUnitId":"计量单位"，
        //"siteId":"工厂"
        Map<String, String> map = new HashMap<>();
        map.put("meterName", paramModel.getMeterName());
        map.put("assetNum", paramModel.getAssetNum());
        map.put("baseMeasureUnitId", paramModel.getBaseMeasureUnitId());
        map.put("siteId", paramModel.getSiteId());

        Map headers = new HashMap<>();
        headers.put("Content-Type", "application/json");

        String result = HttpClientTool.doHttpUrl(CommonEnumUtil.HTTP_METHOD_TYPE.POST, true, url, map, null, headers);
        LOGGER.info("【Maximo仪表主数据】result:{}", result);

        JSONObject jsonObject = JSON.parseObject(result);

        Map resultMap = new HashMap();
        resultMap.put("success",jsonObject.get("success"));
        resultMap.put("message",jsonObject.get("message"));
        return ResultBean.success().setResultMap(resultMap);
    }
    @Override
    public ResultBean doAssetMainData(MaximoParamModel paramModel) {
        String url = "http://10.195.88.71:8300/white/maximo/asset/main-data";
        //"assetNum":"设备编号",
        //"description":"设备名称",
        //"siteId":"工厂",
        //"status":"状态",
        //"failureCode":"故障类别"
        Map<String, String> map = new HashMap<>();
        map.put("assetNum", paramModel.getAssetNum());
        map.put("description", paramModel.getDescription());
        map.put("siteId", paramModel.getSiteId());
        map.put("status", paramModel.getStatus());
        map.put("failureCode", paramModel.getFailureCode());

        Map headers = new HashMap<>();
        headers.put("Content-Type", "application/json");

        String result = HttpClientTool.doHttpUrl(CommonEnumUtil.HTTP_METHOD_TYPE.POST, true, url, map, null, headers);
        LOGGER.info("【Maximo仪表主数据】result:{}", result);

        JSONObject jsonObject = JSON.parseObject(result);

        Map resultMap = new HashMap();
        resultMap.put("success",jsonObject.get("success"));
        resultMap.put("message",jsonObject.get("message"));
        return ResultBean.success().setResultMap(resultMap);
    }
}
